
Ruby - Bug #18445

Make Ruby 3.0.3 on Solaris 10 by gmake with gcc 4.5.1 Assembler: main.c errors

12/28/2021 09:18 PM - dklein (Dmitri Klein)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0:

UNKNOWN, 3.1: UNKNOWN

Description

gmake

    BASERUBY = echo executable host ruby is required.  use --with-baseruby option.; false

    CC = /usr/local/gcc4/bin/gcc -std=gnu99

    LD = /usr/ccs/bin/ld

    LDSHARED = /usr/local/gcc4/bin/gcc -std=gnu99 -G

    CFLAGS =  -g -erroff=E_STATEMENT_NOT_REACHED -erroff=E_INIT_SIGN_EXTEND -erroff=E_INIT_DOES_NO

T_FIT -erroff=E_INITIALIZATION_TYPE_MISMATCH  

    XCFLAGS = -DRUBY_EXPORT -I. -I.ext/include/i386-solaris2.10 -I./include -I. -I./enc/unicode/12

.1.0

    CPPFLAGS = -D_XOPEN_SOURCE=600   

    DLDFLAGS =  

    SOLIBS = -lz -lpthread -lrt -lrt -lrt -lsocket -ldl -lcrypt -lm 

    LANG = 

    LC_ALL = 

    LC_CTYPE = 

    MFLAGS = 

 gcc (GCC) 4.5.1

Copyright (C) 2010 Free Software Foundation, Inc.

This is free software; see the source for copying conditions.  There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

compiling ./main.c

Assembler: main.c

"/var/tmp//cclewYzk.s", line 10 : Illegal mnemonic

Near line: "    .cfi_sections   .debug_frame"

"/var/tmp//cclewYzk.s", line 10 : Syntax error

Near line: "    .cfi_sections   .debug_frame"

"/var/tmp//cclewYzk.s", line 10 : Illegal mnemonic

Near line: "    .cfi_sections   .debug_frame"

"/var/tmp//cclewYzk.s", line 14 : Syntax error

Near line: "    .file 1 "/usr/include/sys/stat_impl.h""

"/var/tmp//cclewYzk.s", line 15 : Illegal mnemonic

Near line: "    .loc 1 163 0"

"/var/tmp//cclewYzk.s", line 15 : Syntax error

Near line: "    .loc 1 163 0"

"/var/tmp//cclewYzk.s", line 16 : Illegal mnemonic

Near line: "    .cfi_startproc"

"/var/tmp//cclewYzk.s", line 16 : Syntax error

Near line: "    .cfi_startproc"

"/var/tmp//cclewYzk.s", line 19 : Illegal mnemonic

Near line: "    .cfi_def_cfa_offset 8"

"/var/tmp//cclewYzk.s", line 19 : Syntax error

Near line: "    .cfi_def_cfa_offset 8"

"/var/tmp//cclewYzk.s", line 21 : Illegal mnemonic

Near line: "    .cfi_offset 5, -8"

"/var/tmp//cclewYzk.s", line 21 : Syntax error

Near line: "    .cfi_offset 5, -8"

"/var/tmp//cclewYzk.s", line 23 : Illegal mnemonic
Near line: "    .cfi_def_cfa_register 5"

"/var/tmp//cclewYzk.s", line 23 : Syntax error

Near line: "    .cfi_def_cfa_register 5"

"/var/tmp//cclewYzk.s", line 25 : Illegal mnemonic

Near line: "    .loc 1 164 0"

"/var/tmp//cclewYzk.s", line 25 : Syntax error

Near line: "    .loc 1 164 0"

"/var/tmp//cclewYzk.s", line 34 : Illegal mnemonic

Near line: "    .loc 1 165 0"

"/var/tmp//cclewYzk.s", line 34 : Syntax error

Near line: "    .loc 1 165 0"

"/var/tmp//cclewYzk.s", line 36 : Illegal mnemonic

Near line: "    .cfi_restore 5"

"/var/tmp//cclewYzk.s", line 36 : Syntax error

Near line: "    .cfi_restore 5"

"/var/tmp//cclewYzk.s", line 38 : Illegal mnemonic

Near line: "    .cfi_def_cfa 4, 4"

"/var/tmp//cclewYzk.s", line 38 : Syntax error

Near line: "    .cfi_def_cfa 4, 4"

"/var/tmp//cclewYzk.s", line 40 : Illegal mnemonic

Near line: "    .cfi_endproc"

"/var/tmp//cclewYzk.s", line 40 : Syntax error

Near line: "    .cfi_endproc"

"/var/tmp//cclewYzk.s", line 51 : Syntax error

Near line: "    .file 2 "./main.c""

"/var/tmp//cclewYzk.s", line 52 : Illegal mnemonic

Near line: "    .loc 2 38 0"

"/var/tmp//cclewYzk.s", line 52 : Syntax error

Near line: "    .loc 2 38 0"

"/var/tmp//cclewYzk.s", line 53 : Illegal mnemonic

Near line: "    .cfi_startproc"

"/var/tmp//cclewYzk.s", line 53 : Syntax error

Near line: "    .cfi_startproc"

"/var/tmp//cclewYzk.s", line 56 : Illegal mnemonic

Near line: "    .cfi_def_cfa_offset 8"

"/var/tmp//cclewYzk.s", line 56 : Syntax error

Near line: "    .cfi_def_cfa_offset 8"

Too many errors - Goodbye

gmake: *** [main.o] Error 1

Related issues:

Is duplicate of Ruby - Bug #18429: Configure ruby-3.0.3 on Solaris 10 Unknown... Feedback

History

#1 - 12/28/2021 09:24 PM - dklein (Dmitri Klein)

trying "make" gives similar result:

make

    BASERUBY = echo executable host ruby is required.  use --with-baseruby option.; false

    CC = /usr/local/gcc4/bin/gcc -std=gnu99

    LD = /usr/ccs/bin/ld

    LDSHARED = /usr/local/gcc4/bin/gcc -std=gnu99 -G

    CFLAGS =  -g -erroff=E_STATEMENT_NOT_REACHED -erroff=E_INIT_SIGN_EXTEND -erroff=E_INIT_DOES_NOT_FIT -errof

f=E_INITIALIZATION_TYPE_MISMATCH 

    XCFLAGS = -DRUBY_EXPORT -I. -I.ext/include/i386-solaris2.10 -I./include -I. -I./enc/unicode/12.1.0

    CPPFLAGS = -D_XOPEN_SOURCE=600   

    DLDFLAGS =  

    SOLIBS = -lz -lpthread -lrt -lrt -lrt -lsocket -ldl -lcrypt -lm

    LANG = 

    LC_ALL = 

    LC_CTYPE = 

    MFLAGS = 

 gcc (GCC) 4.5.1

Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

compiling vm.c

Assembler: vm.c

"/var/tmp//ccDBY19s.s", line 10 : Illegal mnemonic

Near line: "    .cfi_sections   .debug_frame"

"/var/tmp//ccDBY19s.s", line 10 : Syntax error

Near line: "    .cfi_sections   .debug_frame"

"/var/tmp//ccDBY19s.s", line 10 : Illegal mnemonic

.....

Near line: "    .cfi_def_cfa_offset 8"

"/var/tmp//ccDBY19s.s", line 51 : Syntax error

Near line: "    .cfi_def_cfa_offset 8"

Too many errors - Goodbye

*** Error code 1

The following command caused the error:

/usr/local/gcc4/bin/gcc -std=gnu99  -g -erroff=E_STATEMENT_NOT_REACHED -erroff=E_INIT_SIGN_EXTEND -erroff=E_INIT_DOES_NOT_FIT

-erroff=E_INITIALIZATION_TYPE_MISMATCH  -DRUBY_EXPORT -I. -I.ext/include/i386-solaris2.10 -I./include -I. -I./enc/unicode/12.1.0

-D_XOPEN_SOURCE=600    -o vm.o -c vm.c

make: Fatal error: Command failed for target `vm.o'

pwd

/export0/home/telegraf/fluentd/ruby_versions/ruby3/ruby-3.0.3

#2 - 12/29/2021 04:40 AM - mame (Yusuke Endoh)

Looks like there is something wrong in your gcc installation. Maybe you are using GCC with Solaris's as commend. I have no idea that GCC supports

such a setup.

#3 - 12/29/2021 05:06 AM - nobu (Nobuyoshi Nakada)

- Related to Bug #18429: Configure ruby-3.0.3 on Solaris 10 Unknown keyword 'URL' in './ruby.tmp.pc' added

#4 - 12/29/2021 05:07 AM - nobu (Nobuyoshi Nakada)

- Related to deleted (Bug #18429: Configure ruby-3.0.3 on Solaris 10 Unknown keyword 'URL' in './ruby.tmp.pc')

#5 - 12/29/2021 05:07 AM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #18429: Configure ruby-3.0.3 on Solaris 10 Unknown keyword 'URL' in './ruby.tmp.pc' added

#6 - 12/29/2021 08:47 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed
